<%@ Page CodeFileBaseClass="IlgharCMS.Lib.AdminPageBase" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!-- TemplateInfo codeOutsideHTMLIsLocked="true" -->
<ilghar:Get ID="WebServer" Object="Server" InnerID="Request.QueryString['ServerID']" />
<ilghar:Get ID="AppPool" Object="AppPool" InnerID="Request.QueryString['ID']" Validate="True" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>编辑应用程序池</title>
<ilghar:Comment><link rel="stylesheet" type="text/css" href="../../../S01/CHS/css/common.css" /></ilghar:Comment>
<link rel="stylesheet" href="<%=CssPath%>common.css" />
<script type="text/javascript" src="<%=CommonPath%>ajax.js"></script>
<script type="text/javascript" src="<%=JsPath%>common.js"></script>
<script type="text/javascript">
function XmlHttpCallBack(xmlHttp)
{
	if (xmlHttp.status == 200)
		alert("编辑成功！");
	else
		alert("编辑失败！请查看日志！");

	document.getElementById("Submit").disabled = false;
}

function OnSubmit(form)
{
	if (form.PeriodicRestartTimeEnabled.checked && !form.PeriodicRestartTime.value.match(/^\d+$/))
	{
		alert("回收工作进程（分钟）的格式不正确！");
		form.PeriodicRestartTime.select();
		return false;
	}
	
	if (form.PeriodicRestartRequestsEnabled.checked && !form.PeriodicRestartRequests.value.match(/^\d+$/))
	{
		alert("回收工作进程（请求数目）的格式不正确！");
		form.PeriodicRestartRequests.select();
		return false;
	}
	
	if (form.PeriodicRestartMemoryEnabled.checked && !form.PeriodicRestartMemory.value.match(/^\d+$/))
	{
		alert("最大虚拟内存的格式不正确！");
		form.PeriodicRestartMemory.select();
		return false;
	}
	
	if (form.PeriodicRestartPrivateMemoryEnabled.checked && !form.PeriodicRestartPrivateMemory.value.match(/^\d+$/))
	{
		alert("最大使用的内存的格式不正确！");
		form.PeriodicRestartPrivateMemory.select();
		return false;
	}
	
	if (form.IdleTimeoutEnabled.checked && !form.IdleTimeout.value.match(/^\d+$/))
	{
		alert("空闲时间格式不正确！");
		form.IdleTimeout.select();
		return false;
	}
	
	if (!form.AppPoolQueueLength.value.match(/^\d+$/))
	{
		alert("核心请求队列限制格式不正确！");
		form.AppPoolQueueLength.select();
		return false;
	}
	
	if (form.CPUEnabledYes.checked)
	{
		if (!form.CPULimit.value.match(/^\d+$/))
		{
			alert("最大CPU使用率格式不正确！");
			form.CPULimit.select();
			return false;
		}
		
		if (!form.CPUResetInterval.value.match(/^\d+$/))
		{
			alert("刷新CPU使用率值格式不正确！");
			form.CPUResetInterval.select();
			return false;
		}
	}
	
	if (form.PingingEnabledYes.checked && !form.PingInterval.value.match(/^\d+$/))
	{
		alert("Ping间隔时间格式不正确！");
		form.PingInterval.select();
		return false;
	}
	
	if (form.RapidFailProtectionYes.checked)
	{
		if (!form.RapidFailProtectionMaxCrashes.value.match(/^\d+$/))
		{
			alert("失败数格式不正确！");
			form.RapidFailProtectionMaxCrashes.select();
			return false;
		}
		
		if (!form.RapidFailProtectionInterval.value.match(/^\d+$/))
		{
			alert("时间段格式不正确！");
			form.RapidFailProtectionInterval.select();
			return false;
		}
	}
	
	if (!form.StartupTimeLimit.value.match(/^\d+$/))
	{
		alert("启动时间限制格式不正确！");
		form.StartupTimeLimit.select();
		return false;
	}
	
	if (!form.ShutdownTimeLimit.value.match(/^\d+$/))
	{
		alert("关闭时间限制格式不正确！");
		form.ShutdownTimeLimit.select();
		return false;
	}
	
	if (form.AppPoolIdentityType.value == "3")
	{
		if (form.WAMUserName.value == "")
		{
			alert("请输入用户名！");
			form.WAMUserName.select();
			return false;
		}

		if (form.WAMUserPass.value == "")
		{
			alert("请输入密码！");
			form.WAMUserPass.select();
			return false;
		}
	}
	
	if (!form.MaxHostCount.value.match(/^\d+$/))
	{
		alert("最大网站数格式不正确！");
		form.MaxHostCount.select();
		return false;
	}
	
	var data = "IsClosed=" + form.IsClosedYes.checked;
	if (form.PeriodicRestartTimeEnabled.checked)
		data += "&PeriodicRestartTime=" + form.PeriodicRestartTime.value;
	else
		data += "&PeriodicRestartTime=0";
	if (form.PeriodicRestartRequestsEnabled.checked)
		data += "&PeriodicRestartRequests=" + form.PeriodicRestartRequests.value;
	else
		data += "&PeriodicRestartRequests=0";
	if (form.PeriodicRestartMemoryEnabled.checked)
		data += "&PeriodicRestartMemory=" + form.PeriodicRestartMemory.value;
	else
		data += "&PeriodicRestartMemory=0";
	if (form.PeriodicRestartPrivateMemoryEnabled.checked)
		data += "&PeriodicRestartPrivateMemory=" + form.PeriodicRestartPrivateMemory.value;
	else
		data += "&PeriodicRestartPrivateMemory=0";
	if (form.IdleTimeoutEnabled.checked)
		data += "&IdleTimeout=" + form.IdleTimeout.value;
	else
		data += "&IdleTimeout=0";
	data += "&AppPoolQueueLength=" + form.AppPoolQueueLength.value;
	if (form.CPUEnabledYes.checked)
	{
		data += "&CPULimit=" + form.CPULimit.value;
		data += "&CPUResetInterval=" + form.CPUResetInterval.value;
		data += "&CPUAction=" + form.CPUAction.value;
	}
	else
	{
		data += "&CPUResetInterval=0";
	}
	data += "&PingingEnabled=" + form.PingingEnabledYes.checked;
	if (form.PingingEnabledYes.checked)
		data += "&PingInterval=" + form.PingInterval.value;
	data += "&RapidFailProtection=" + form.RapidFailProtectionYes.checked;
	if (form.RapidFailProtectionYes.checked)
	{
		data += "&RapidFailProtectionMaxCrashes=" + form.RapidFailProtectionMaxCrashes.value;
		data += "&RapidFailProtectionInterval=" + form.RapidFailProtectionInterval.value;
	}
	data += "&StartupTimeLimit=" + form.StartupTimeLimit.value;
	data += "&ShutdownTimeLimit=" + form.ShutdownTimeLimit.value;
	data += "&AppPoolIdentityType=" + form.AppPoolIdentityType.value;
	if (form.AppPoolIdentityType.value == "3")
	{
		data += "&WAMUserName=" + form.WAMUserName.value;
		data += "&WAMUserPass=" + form.WAMUserPass.value;
	}
	data += "&MaxHostCount=" + form.MaxHostCount.value;
	
	document.getElementById("Submit").disabled = true;
	_ajax.Post("<%=WebPath%>ilghar.aspx?Lang=<%=ContentLang%>&Object=AppPool&Operation=Modify&ID=<%=Request.QueryString["ID"]%>", data, XmlHttpCallBack);
	return false;
}

function ChangeClass(checkbox, textInput)
{
	if (checkbox.checked)
	{
		textInput.className = "Text";
		textInput.disabled = false;
	}
	else
	{
		textInput.className = "Disabled";
		textInput.disabled = true;
	}
}

function CPUEnabled_OnClick()
{
	var form = document.forms[0];
	if (form.CPUEnabledYes.checked)
	{
		form.CPULimit.className = "Text";
		form.CPULimit.disabled = false;
		
		form.CPUResetInterval.className = "Text";
		form.CPUResetInterval.disabled = false;
	}
	else
	{
		form.CPULimit.className = "Disabled";
		form.CPULimit.disabled = true;
		
		form.CPUResetInterval.className = "Disabled";
		form.CPUResetInterval.disabled = true;
	}
}

function PingingEnabled_OnClick()
{
	var form = document.forms[0];
	if (form.PingingEnabledYes.checked)
	{
		form.PingInterval.className = "Text";
		form.PingInterval.disabled = false;
	}
	else
	{
		form.PingInterval.className = "Disabled";
		form.PingInterval.disabled = true;
	}
}

function RapidFailProtection_OnClick()
{
	var form = document.forms[0];
	if (form.RapidFailProtectionYes.checked)
	{
		form.RapidFailProtectionMaxCrashes.className = "Text";
		form.RapidFailProtectionMaxCrashes.disabled = false;
		
		form.RapidFailProtectionInterval.className = "Text";
		form.RapidFailProtectionInterval.disabled = false;
	}
	else
	{
		form.RapidFailProtectionMaxCrashes.className = "Disabled";
		form.RapidFailProtectionMaxCrashes.disabled = true;
		
		form.RapidFailProtectionInterval.className = "Disabled";
		form.RapidFailProtectionInterval.disabled = true;
	}
}

function AppPoolIdentityType_OnChange()
{
	var form = document.forms[0];
	if (form.AppPoolIdentityType.value == 3)
		document.getElementById("AppPoolIdentityType3").style.display = "";
	else
		document.getElementById("AppPoolIdentityType3").style.display = "none";
}
</script>
</head>
<body>
<div class="WhiteHeader">
	<div class="Left"><img src="<%=ImagePath%>close_frame.gif" onclick="OpenCloseLeftFrame()" /></div>
	<div class="Title"><a href="../list.aspx?Lang=<%=ContentLang%>">服务器列表</a> → <span class="<%=ContentLang%>Font"><%=WebServer[Name]%></span></div>
	<div class="Right"></div>
</div>
<div class="Block">
	<ul class="TabMenu">
		<li class="Left"></li>
		<li class="Middle"><a href="../edit.aspx?Lang=<%=ContentLang%>&amp;ID=<%=Request.QueryString["ServerID"]%>">编辑</a></li>
		<li class="Right"></li>
		<li class="Left"></li>
		<li class="Middle"><a href="list.aspx?Lang=<%=ContentLang%>&amp;ServerID=<%=Request.QueryString["ServerID"]%>">应用程序池</a></li>
		<li class="Right"></li>
		<li class="Left Selected"></li>
		<li class="Middle Selected">编辑应用程序池</li>
		<li class="Right Selected"></li>
	</ul>
	<ul class="Title">
		<li class="Left"></li>
		<li class="Middle"></li>
		<li class="Right"></li>
	</ul>
	<form method="post" onsubmit="return OnSubmit(this)">
		<table border="0" cellpadding="4" cellspacing="1">
			<tbody>
				<tr>
					<th width="220">名称：</th>
					<td colspan="3"><%=AppPool[Name]%></td>
				</tr>
				<tr>
					<th>
						<%If Convert.ToInt32(AppPool[PeriodicRestartTime]) == 0%>
							<input type="checkbox" name="PeriodicRestartTimeEnabled" id="PeriodicRestartTimeEnabled" onclick="ChangeClass(this, this.form.PeriodicRestartTime)" />
						<%Else%>
							<input type="checkbox" name="PeriodicRestartTimeEnabled" id="PeriodicRestartTimeEnabled" checked="checked" onclick="ChangeClass(this, this.form.PeriodicRestartTime)" />
						<%EndIf%>
						<label for="PeriodicRestartTimeEnabled">回收工作进程（分钟）：</label>
					</th>
					<td>
						<%If Convert.ToInt32(AppPool[PeriodicRestartTime]) == 0%>
							<input type="text" name="PeriodicRestartTime" value="<%=AppPool[PeriodicRestartTime]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />
						<%Else%>
							<input type="text" name="PeriodicRestartTime" value="<%=AppPool[PeriodicRestartTime]%>" size="10" maxlength="20" class="Text" />
						<%EndIf%>
					</td>
					<th>启用Ping：</th>
					<td>
						<%If Convert.ToBoolean(AppPool[PingingEnabled])%>
							<input type="radio" name="PingingEnabled" id="PingingEnabledYes" checked="checked" onclick="PingingEnabled_OnClick()" /><label for="PingingEnabledYes">是</label>
							<input type="radio" name="PingingEnabled" id="PingingEnabledNo" onclick="PingingEnabled_OnClick()" /><label for="PingingEnabledNo">否</label>
						<%Else%>
							<input type="radio" name="PingingEnabled" id="PingingEnabledYes" onclick="PingingEnabled_OnClick()" /><label for="PingingEnabledYes">是</label>
							<input type="radio" name="PingingEnabled" id="PingingEnabledNo" checked="checked" onclick="PingingEnabled_OnClick()" /><label for="PingingEnabledNo">否</label>
						<%EndIf%>
					</td>
				</tr>
				<tr>
					<th>
						<%If Convert.ToInt32(AppPool[PeriodicRestartRequests]) == 0%>
							<input type="checkbox" name="PeriodicRestartRequestsEnabled" id="PeriodicRestartRequestsEnabled" onclick="ChangeClass(this, this.form.PeriodicRestartRequests)" />
						<%Else%>
							<input type="checkbox" name="PeriodicRestartRequestsEnabled" id="PeriodicRestartRequestsEnabled" checked="checked" onclick="ChangeClass(this, this.form.PeriodicRestartRequests)" />
						<%EndIf%>
						<label for="PeriodicRestartRequestsEnabled">回收工作进程（请求数目）：</label>
					</th>
					<td>
						<%If Convert.ToInt32(AppPool[PeriodicRestartRequests]) == 0%>
							<input type="text" name="PeriodicRestartRequests" value="<%=AppPool[PeriodicRestartRequests]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />
						<%Else%>
							<input type="text" name="PeriodicRestartRequests" value="<%=AppPool[PeriodicRestartRequests]%>" size="10" maxlength="20" class="Text" />
						<%EndIf%>
					</td>
					<th>每个下列时间Ping工作线程：</th>
					<td>
						<%If Convert.ToBoolean(AppPool[PingingEnabled])%>
							<input type="text" name="PingInterval" value="<%=AppPool[PingInterval]%>" size="10" maxlength="20" class="Text" />（秒）
						<%Else%>
							<input type="text" name="PingInterval" value="<%=AppPool[PingInterval]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（秒）
						<%EndIf%>
					</td>
				</tr>
				<tr>
					<th>
						<%If Convert.ToInt32(AppPool[PeriodicRestartMemory]) == 0%>
							<input type="checkbox" name="PeriodicRestartMemoryEnabled" id="PeriodicRestartMemoryEnabled" onclick="ChangeClass(this, this.form.PeriodicRestartMemory)" />
						<%Else%>
							<input type="checkbox" name="PeriodicRestartMemoryEnabled" id="PeriodicRestartMemoryEnabled" checked="checked" onclick="ChangeClass(this, this.form.PeriodicRestartMemory)" />
						<%EndIf%>
						<label for="PeriodicRestartMemoryEnabled">最大虚拟内存：</label>
					</th>
					<td>
						<%If Convert.ToInt32(AppPool[PeriodicRestartMemory]) == 0%>
							<input type="text" name="PeriodicRestartMemory" value="<%=AppPool[PeriodicRestartMemory]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（兆）
						<%Else%>
							<input type="text" name="PeriodicRestartMemory" value="<%=AppPool[PeriodicRestartMemory]%>" size="10" maxlength="20" class="Text" />（兆）
						<%EndIf%>
					</td>
					<th>启用快速失败保护：</th>
					<td>
						<%If Convert.ToBoolean(AppPool[RapidFailProtection])%>
							<input type="radio" name="RapidFailProtection" id="RapidFailProtectionYes" checked="checked" onclick="RapidFailProtection_OnClick()" /><label for="RapidFailProtectionYes">是</label>
							<input type="radio" name="RapidFailProtection" id="RapidFailProtectionNo" onclick="RapidFailProtection_OnClick()" /><label for="RapidFailProtectionNo">否</label>
						<%Else%>
							<input type="radio" name="RapidFailProtection" id="RapidFailProtectionYes" onclick="RapidFailProtection_OnClick()" /><label for="RapidFailProtectionYes">是</label>
							<input type="radio" name="RapidFailProtection" id="RapidFailProtectionNo" checked="checked" onclick="RapidFailProtection_OnClick()" /><label for="RapidFailProtectionNo">否</label>
						<%EndIf%>
					</td>
				</tr>
				<tr>
					<th>
						<%If Convert.ToInt32(AppPool[PeriodicRestartPrivateMemory]) == 0%>
							<input type="checkbox" name="PeriodicRestartPrivateMemoryEnabled" id="PeriodicRestartPrivateMemoryEnabled" onclick="ChangeClass(this, this.form.PeriodicRestartPrivateMemory)" />
						<%Else%>
							<input type="checkbox" name="PeriodicRestartPrivateMemoryEnabled" id="PeriodicRestartPrivateMemoryEnabled" checked="checked" onclick="ChangeClass(this, this.form.PeriodicRestartPrivateMemory)" />
						<%EndIf%>
						<label for="PeriodicRestartPrivateMemoryEnabled">最大使用的内存：</label>
					</th>
					<td>
						<%If Convert.ToInt32(AppPool[PeriodicRestartPrivateMemory]) == 0%>
							<input type="text" name="PeriodicRestartPrivateMemory" value="<%=AppPool[PeriodicRestartPrivateMemory]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（兆）
						<%Else%>
							<input type="text" name="PeriodicRestartPrivateMemory" value="<%=AppPool[PeriodicRestartPrivateMemory]%>" size="10" maxlength="20" class="Text" />（兆）
						<%EndIf%>
					</td>
					<th>失败数：</th>
					<td>
						<%If Convert.ToBoolean(AppPool[RapidFailProtection])%>
							<input type="text" name="RapidFailProtectionMaxCrashes" value="<%=AppPool[RapidFailProtectionMaxCrashes]%>" size="10" maxlength="20" class="Text" />
						<%Else%>
							<input type="text" name="RapidFailProtectionMaxCrashes" value="<%=AppPool[RapidFailProtectionMaxCrashes]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />
						<%EndIf%>
					</td>
				</tr>
				<tr>
					<th>
						<%If Convert.ToInt32(AppPool[IdleTimeout]) == 0%>
							<input type="checkbox" name="IdleTimeoutEnabled" id="IdleTimeoutEnabled" onclick="ChangeClass(this, this.form.IdleTimeout)" />
						<%Else%>
							<input type="checkbox" name="IdleTimeoutEnabled" id="IdleTimeoutEnabled" checked="checked" onclick="ChangeClass(this, this.form.IdleTimeout)" />
						<%EndIf%>
						<label for="IdleTimeoutEnabled">在空闲此段时间后关闭工作进程：</label>
					</th>
					<td>
						<%If Convert.ToInt32(AppPool[IdleTimeout]) == 0%>
							<input type="text" name="IdleTimeout" value="<%=AppPool[IdleTimeout]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（分钟）
						<%Else%>
							<input type="text" name="IdleTimeout" value="<%=AppPool[IdleTimeout]%>" size="10" maxlength="20" class="Text" />（分钟）
						<%EndIf%>
					</td>
					<th>时间段：</th>
					<td>
						<%If Convert.ToBoolean(AppPool[RapidFailProtection])%>
							<input type="text" name="RapidFailProtectionInterval" value="<%=AppPool[RapidFailProtectionInterval]%>" size="10" maxlength="20" class="Text" />（分钟）
						<%Else%>
							<input type="text" name="RapidFailProtectionInterval" value="<%=AppPool[RapidFailProtectionInterval]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（分钟）
						<%EndIf%>
					</td>
				</tr>
				<tr>
					<th>核心请求队列限制为：</th>
					<td><input type="text" name="AppPoolQueueLength" value="<%=AppPool[AppPoolQueueLength]%>" size="10" maxlength="20" class="Text" />（请求次数）</td>
					<th>启动时间限制：</th>
					<td><input type="text" name="StartupTimeLimit" value="<%=AppPool[StartupTimeLimit]%>" size="10" maxlength="20" class="Text" />（秒）</td>
				</tr>
				<tr>
					<th>启用CPU监视：</th>
					<td>
						<%If Convert.ToInt32(AppPool[CPUResetInterval]) == 0%>
							<input type="radio" name="CPUEnabled" id="CPUEnabledYes" onclick="CPUEnabled_OnClick()" /><label for="CPUEnabledYes">是</label>
							<input type="radio" name="CPUEnabled" id="CPUEnabledNo" checked="checked" onclick="CPUEnabled_OnClick()" /><label for="CPUEnabledNo">否</label>
						<%Else%>
							<input type="radio" name="CPUEnabled" id="CPUEnabledYes" checked="checked" onclick="CPUEnabled_OnClick()" /><label for="CPUEnabledYes">是</label>
							<input type="radio" name="CPUEnabled" id="CPUEnabledNo" onclick="CPUEnabled_OnClick()" /><label for="CPUEnabledNo">否</label>
						<%EndIf%>
					</td>
					<th>关闭时间限制：</th>
					<td><input type="text" name="ShutdownTimeLimit" value="<%=AppPool[ShutdownTimeLimit]%>" size="10" maxlength="20" class="Text" />（秒）</td>
				</tr>
				<tr>
					<th>最大CPU使用率：</th>
					<td>
						<%If Convert.ToInt32(AppPool[CPUResetInterval]) == 0%>
							<input type="text" name="CPULimit" value="<%=AppPool[CPULimit]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（百分比）
						<%Else%>
							<input type="text" name="CPULimit" value="<%=AppPool[CPULimit]%>" size="10" maxlength="20" class="Text" />（百分比）
						<%EndIf%>
					</td>
					<th>应用程序池标识：</th>
					<td>
						<select name="AppPoolIdentityType" onchange="AppPoolIdentityType_OnChange()">
							<option value="0">本地系统</option>
							<option value="1">本地服务</option>
							<option value="2">网络服务</option>
							<option value="3">自定义</option>
						</select>
						<span id="AppPoolIdentityType3" style="display:none">
							<br />
							用户名：<input type="text" name="WAMUserName" value="<%=AppPool[WAMUserName]%>" maxlength="50" class="Text" /><br />
							密&nbsp;&nbsp;码：<input type="text" name="WAMUserPass" value="<%=AppPool[WAMUserPass]%>" maxlength="50" class="Text" />
						</span>
					</td>
				</tr>
				<tr>
					<th>刷新CPU使用率值：</th>
					<td>
						<%If Convert.ToInt32(AppPool[CPUResetInterval]) == 0%>
							<input type="text" name="CPUResetInterval" value="<%=AppPool[CPUResetInterval]%>" size="10" maxlength="20" disabled="disabled" class="Disabled" />（分钟）
						<%Else%>
							<input type="text" name="CPUResetInterval" value="<%=AppPool[CPUResetInterval]%>" size="10" maxlength="20" class="Text" />（分钟）
						<%EndIf%>
					</td>
					<th>最大网站数：</th>
					<td><input type="text" name="MaxHostCount" value="<%=AppPool[MaxHostCount]%>" size="10" maxlength="20" class="Text" /></td>
				</tr>
				<tr>
					<th>CPU使用率超过最大时执行的操作：</th>
					<td>
						<select name="CPUAction">
							<option value="0">无操作</option>
							<option value="1">关闭</option>
						</select>
					</td>
					<th>封顶：</th>
					<td>
						<%If Convert.ToBoolean(AppPool[IsClosed])%>
							<input type="radio" name="IsClosed" id="IsClosedYes" checked="checked" /><label for="IsClosedYes">是</label>
							<input type="radio" name="IsClosed" id="IsClosedNo" /><label for="IsClosedNo">否</label>
						<%Else%>
							<input type="radio" name="IsClosed" id="IsClosedYes" /><label for="IsClosedYes">是</label>
							<input type="radio" name="IsClosed" id="IsClosedNo" checked="checked" /><label for="IsClosedNo">否</label>
						<%EndIf%>
					</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="4"><input type="submit" id="Submit" class="Button" value="编辑" /></td>
				</tr>
			</tfoot>
		</table>
	</form>
	<div class="Footer"></div>
</div>
<script type="text/javascript">
CheckAndSelect("<%=AppPool[AppPoolIdentityType]%>", document.forms[0].AppPoolIdentityType);
AppPoolIdentityType_OnChange();

CheckAndSelect("<%=AppPool[CPUAction]%>", document.forms[0].CPUAction);

HandleFake404();
</script>
</body>
</html>